/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * COPYING NOTES
 *
 * replyfunc.h -- replay function header
 * 
 * Copyright (C) 2002 Roberto A. Foglietta <robang@libero.it>
 * Copyright (C) 2002 GEA-Automotive <fogliettar@gea-automotive.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
 * REVISION NOTES:
 * released 21-10-2002 by Roberto A. Foglietta
 */

#ifndef _SIMPLE_H
#define SIMPLE_H

#define _PORT  1616
#define _HOST "localhost"
#define _FAIL "Failure aswering request\n"
#define _STOP "DISCONNECT"

char *reply_func (char const *data);
enum _reply_func_type
{
	HELLO,
	GETALL,
	HELP,
	BYE,
	N_ACQUIRE_STEPS
};


typedef char *(*REPLY_FNC) (void);
#ifdef ACQ_NO_FUNCTION
#else
char *acq_hello (void);
char *acq_getall (void);
char *acq_help (void);
char *acq_bye (void);
#endif

# ifdef ACQ_FUNCTION
char *ACQ_TEXT[N_ACQUIRE_STEPS] = { "Hello", "Get all", "Help", "Bye" };
#ifdef ACQ_NO_FUNCTION
#else
REPLY_FNC ACQ_FUNC[N_ACQUIRE_STEPS] = { acq_hello, acq_getall, acq_help, acq_bye };
#endif
# else
extern char *ACQ_TEXT[N_ACQUIRE_STEPS];
extern REPLY_FNC ACQ_FUNC[N_ACQUIRE_STEPS];
# endif	/* ACQ_DEF */

#endif /* _SIMPLE_H */
